com.google.gwt.user.client.ui

## Class DisclosureEvent

- java.lang.Object
- - java.util.EventObject
  - - com.google.gwt.user.client.ui.DisclosureEvent

All Implemented Interfaces:
  java.io.Serializable

Deprecated.
Use `CloseEvent` and `OpenEvent` instead

    @Deprecated
    public class DisclosureEvent
    extends java.util.EventObject

Event object containing information about `DisclosurePanel` changes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`DisclosureEvent(DisclosurePanel sender)` Deprecated. Use `CloseEvent` and `OpenEvent` instead

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DisclosureEvent

    @Deprecated
    public DisclosureEvent(DisclosurePanel sender)

Deprecated. Use `CloseEvent` and `OpenEvent` instead
Creates a new instance of the event object.

Parameters:
  `sender` - the panel from which the event is originating.
See Also:
  `DisclosureHandler`